    class
    	ARGUMENTS

    General
    	cluster: base
    	description:
    		"Access to command-line arguments. This class
    		may be used as ancestor by classes needing its facilities."

    Ancestors
    	ANY

    Queries
    	argument (i: INTEGER_32): STRING_8
    	Argument_array: ARRAY [STRING_8]
    	Argument_count: INTEGER_32
    	coalesced_character_option_value (o: CHARACTER_8): STRING_8
    	coalesced_word_option_value (opt: STRING_8): STRING_8
    	Command_line: STRING_8
    	Command_name: STRING_8
    	index_of_beginning_with_word_option (opt: STRING_8): INTEGER_32
    	index_of_character_option (o: CHARACTER_8): INTEGER_32
    	index_of_word_option (opt: STRING_8): INTEGER_32
    	Option_sign: CHARACTER_8_REF
    	separate_character_option_value (o: CHARACTER_8): STRING_8
    	separate_word_option_value (opt: STRING_8): STRING_8

    Commands
    	set_option_sign (c: CHARACTER_8)